import { defineStore } from "pinia";
import { ref } from "vue";

import type { OptionData } from "@/modules/07_insignia/interface/index/Main";
import type { DataRound } from "@/modules/07_insignia/interface/response/Reclaim";

export const useInsigniaReclaimStore = defineStore("insigniaReclaim", () => {
  const roundData = ref<DataRound[]>([{ name: "ทั้งหมด", id: "all", year: 0 }]);
  const insigniaTypeData = ref<OptionData[]>([{ name: "ทั้งหมด", id: "all" }]);
  const employeeClassData = ref<OptionData[]>([
    { name: "ทั้งหมด", id: "all" },
    { name: "ข้าราชการ กทม.สามัญ", id: "officer" },
    { name: "ลูกจ้างประจำ", id: "employee" },
  ]);

  return {
    roundData,
    insigniaTypeData,
    employeeClassData,
  };
});
